Bug 534736 (RHQ-1503)

Summary: Recently added JBossAS does not show up in recently added resource portlet.
Product: [Other] RHQ Project Reporter: Heiko W. Rupp <hrupp>
Component: Core UIAssignee: RHQ Project Maintainer <rhq-maint>
Severity: medium Docs Contact:
Priority: low    
Version: 1.2CC: jshaughn, mfoley
Target Milestone: ---Keywords: SubBug
Target Release: ---   
Hardware: All   
OS: All   
URL: http://jira.rhq-project.org/browse/RHQ-1503
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
rev 2970
Last Closed: 2013-09-02 03:16:39 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 565628, 585306    

Description Heiko W. Rupp 2009-02-09 06:06:00 EST
- start a new AS, have it discovered by the agent and show it up in the AD portlet
- import it
- Recently added portlet stays empty.
Comment 1 Joseph Marques 2009-02-09 12:15:12 EST
the algorithm in org.rhq.enterprise.gui.legacy.portlet.recentlyApproved.ViewAction is as follows:

* find recently approved platforms
* for each platform, if that platform is expanded (which is sticky in the user preferences), then get the recently approved servers beneath that platform for display

basically, if the platform is not expanded, it doesn't even get the recently approved servers for that platform because that information will be suppressed from the view anyway.  so, this is working as it always has.

what would be the proposal be if you wanted to see something different?
Comment 2 Heiko W. Rupp 2009-02-09 13:57:58 EST
Actually the Recently added resources portlet on the dashboard is just empty -- which is different from how it has been in e.g. 2.1.

I don't really understand the explanation around "expanded".
Comment 3 Heiko W. Rupp 2009-02-10 08:01:46 EST
Conclusion from yesterdays irc conversation was that this was never really working when you did not have a detailed look at an imported platform, which is just plain bad.

pilhuhn: I recall that we were thinking about some changes for ppl rapidly importing hundreds of boxes. But it being just empty and not showing anything at all is bad (and not how it worked in 2.1 or before)
[19:59] joseph: pilhuhn: i'm ready now if you are
[20:00] joseph: i just want to explain how it works today
[20:00] joseph: not have a discussion how it should work  ; )
[20:00] pilhuhn: sorry, can't hop on a call now
[20:01] pilhuhn: Well, if it can't display a single JBossAS being added anymore, then it is plain useless and we can remove it.
[20:01] joseph: k, well let me explain in txt a different way then...
[20:02] joseph: the recently added resources portlet is actually the recently added platforms porltet.  if you have a recently added portlet, then it will also show recently added servers.  however, by default, all platforms are collapsed, so their servers aren't shown / aren't queried.  if you expand one server, that becomes a "sticky" preference and is persisted.  if you visit later, and if your platform is still considered recently added, then it will still
[20:02] joseph: i looked at svn history for this, and this is apparently how it's been since the import into RHQ svn
[20:03] pilhuhn: hmm. So you say that because my platform is "too old", frehsly imported servers on it don't show up -- except if I had looked at the platform in more detail?
[20:04] mazz: that's correct. I seem to remember this - did I write that code? Maybe that was part of my fixing the dashboard portlets those many moons ago
[20:04] joseph: pilhuhn: correct
pilhuhn: This sucks and makes the portlet imho useless
[20:05] pilhuhn: (or close to)
[20:05] mazz: its not useless
[20:05] mazz: you can see new platforms
[20:05] mazz: rename the portlet "Recently Added Platforms"
[20:05] mazz: and its working just fine. :-D
[20:05] pilhuhn: *sigh*
[20:06] joseph: pilhuhn: i did say to comment in the jira how you'd like it to work
[20:06] mazz: perhaps we just get rid of the ability to collapse
[20:06] mazz: just always show the expanded platfoms
[20:06] mazz: that way, all the queries work

Comment 4 Red Hat Bugzilla 2009-11-10 15:34:30 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1503
Comment 5 wes hayutin 2010-02-16 11:52:34 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

new = Tracking + FutureFeature + SubBug
Comment 6 wes hayutin 2010-02-16 11:58:17 EST
making sure we're not missing any bugs in rhq_triage
Comment 7 Jay Shaughnessy 2011-02-11 17:08:48 EST
This seems fine in the new Recently Added portlet.
Comment 8 Mike Foley 2011-06-08 15:56:06 EDT
uninventoried EAP, inventoried it, reviewed recently added resources portlet.  verified.
Comment 9 Heiko W. Rupp 2013-09-02 03:16:39 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.